/** @type {import('next').NextConfig} */

const withBundleAnalyzer = require('@next/bundle-analyzer')({
  enabled: process.env.ANALYZE === 'true',
})

const isProd = process.env.NODE_ENV === 'production'

const nextConfig = {
  reactStrictMode: true,
  output: "export",
  images: { unoptimized: true },
  basePath: require('./basepath').basePath,
  async rewrites() {
    return [
      {
        source: '/:any',
        destination: '/dynamic_course_listing',
      },
      {
        source: '/:any/:any2',
        destination: '/dynamic_player',
      },
      {
        source: '/:any/:any2/embed',
        destination: '/dynamic_embed',
      },
    ];
  },

}

module.exports = withBundleAnalyzer(nextConfig)
