import type { api_error } from "./api_v1_types";

export class ApiError extends Error {
    error_code: string;
    api_message: string;
    server_name: string;
    http_status: number;
    url: string;

    constructor(object: api_error, http_status: number, url: string) {
        super(`API Error: ${object.error_code} - ${object.message}, url=${url}`);
        this.error_code = object.error_code;
        this.api_message = object.message;
        this.server_name = object.server;
        this.http_status = http_status;
        this.url = url;
    }
}
