import type { user_info } from "./api_v1_types";

export class UserData {
    public setUserData: (data: UserData) => void;
    private isLoggingIn_: boolean;
    private userInfo: user_info | null;

    constructor(set: (data: UserData) => void, userInfo: user_info | null, isLoggingIn: boolean) {
        this.setUserData = set;
        this.userInfo = userInfo;
        this.isLoggingIn_ = isLoggingIn;
    }

    replace(data: user_info | null, isLoggingIn: boolean = false): void {
        this.setUserData(new UserData(this.setUserData, data, isLoggingIn));
    }

    getUserInfo(): user_info | null {
        return this.userInfo;
    }

    hasUserInfo(): boolean {
        return this.getUserInfo() !== null;
    }

    canEditStuff(): boolean {
        return this.hasUserInfo(); // TODO
    }

    isLoggingIn(): boolean {
        return this.isLoggingIn_;
    }
}
