import { Backend, InvalidBackend, SmartCacheBackend } from "@/api/Backend";
import { createContext, useContext, useState } from "react";

import type React from "react";

const BackendContext = createContext<Backend>(new InvalidBackend());

export function RealBackendProvider({ children }: { children: React.ReactNode }) {
    let [state, _] = useState(() => new SmartCacheBackend());

    return <BackendContext.Provider value={state}>{children}</BackendContext.Provider>;
}
export function useBackendContext() {
    return useContext(BackendContext);
}
