import { lecture } from "@/api/api_v1_types";
import { DateTime } from "luxon";
import { useLanguage } from "./LanguageProvider";

export function LiveLabel({ nowlive }: { nowlive: boolean }) {
    const { language } = useLanguage();
    return (
        <span className={`badge ${nowlive ? "text-bg-danger" : "text-bg-primary"}`}>
            {nowlive
                ? language.get("ui.generic.livestream_live")
                : language.get("ui.generic.livestream_planned")}
        </span>
    );
}

export function LectureLiveLabel({ lecture }: { lecture: lecture }) {
    if (!lecture.livestream_planned) return null;
    if (DateTime.fromISO(lecture.time) < DateTime.now().minus({ days: 1 })) return null;
    return <LiveLabel nowlive={typeof lecture.livestream_url === "string"} />;
}
