import Four04 from "@/pages/404";
import { useUserContext } from "./UserDataProvider";

import type React from "react";

export default function ModeratorBarrier({ children }: { children: React.ReactNode }) {
    const userContext = useUserContext();

    if (userContext.canEditStuff() === true) {
        return <>{children} </>;
    } else if (userContext.isLoggingIn()) {
        return <div className="spinner-border" role="status" />;
    } else {
        return (
            <Four04
                title="Nicht autorisiert"
                text="Du musst eingeloggt sein um diese Seite zu sehen"
            />
        );
    }
}
