import { UserData } from "@/api/UserData";
import { createContext, useContext, useState } from "react";
import { useBackendContext } from "./BackendProvider";

import type React from "react";

const UserContext = createContext<UserData>(new UserData(() => {}, null, true));

export function RealUserProvider({ children }: { children: React.ReactNode }) {
    const api = useBackendContext();
    let [user, setUser] = useState<UserData>(() => new UserData(() => {}, null, true));
    user.setUserData = setUser;

    api.isPrivileged = user.canEditStuff();

    return <UserContext.Provider value={user}>{children}</UserContext.Provider>;
}
export function useUserContext() {
    return useContext(UserContext);
}
