import Link from "next/link";
import { useRouter } from "next/router";

export default function Four04({
    title = "404",
    text = "Seite nicht gefunden",
    showButtons = true,
}: {
    title?: string;
    text?: string;
    showButtons?: boolean;
}) {
    const router = useRouter();

    return (
        <div>
            <h1 className="display-1">{title}</h1>
            <p className="lead">{text}</p>
            {showButtons && (
                <>
                    <button
                        type="button"
                        className="btn btn-success mb-2"
                        onClick={() => router.back()}
                    >
                        <span className="bi bi-chevron-right" />
                        Zurück
                    </button>
                    <br />
                    <Link href="/" className="btn btn-primary">
                        <span className="bi bi-chevron-right" />
                        Zur Startseite
                    </Link>
                </>
            )}
        </div>
    );
}
