import { useEffect, useState } from "react";
import { ActualRedirector } from "./dynamic_player";

// This only exists, so that we can effectively differentiate between player and embed in DefaultLayout.tsx (to remove the page header/footer for embeds)
// Necessary so that we can render the correct layout while building the page (since we can't use the actual pathname at build time)
export default function DynamicEmbed() {
    // The following is a hack to force nextjs to not pre-render this page at build time (which obv wouldnt make sense)
    const [clientsideForcer, setClientsideForcer] = useState(false);
    useEffect(() => {
        setClientsideForcer(true);
    }, []);

    if (!clientsideForcer) return <></>;

    return <ActualRedirector />;
}
