function Cluster() {
    const clusters: { [key: string]: string[] } = {
        cluster1: ["node1", "node2"],
        cluster2: ["node3", "node4"],
    };

    return (
        <div className="card mb-2">
            <div className="card-header d-flex">Cluster</div>
            <div className="card-body">
                <ul className="list-group">
                    {Object.keys(clusters).map((clustername) => (
                        <li key={clustername} className="list-group-item">
                            <strong>{clustername}</strong>
                            <ul className="list-group">
                                {clusters[clustername].map((host) => (
                                    <li key={host} className="list-group-item">
                                        <a href={`#${host}`}>{host}</a>
                                    </li>
                                ))}
                            </ul>
                        </li>
                    ))}
                </ul>
            </div>
        </div>
    );
}

function HostStatus() {
    const host = {
        wsrep_node_name: "node1",
        cooles_anderes_attribut: "cooler wert",
    };
    const status = {
        cool: "cooler wert",
    };

    return (
        <div className="card">
            <div className="card-header d-flex">{host.wsrep_node_name}</div>
            <div className="card-body">
                <div className="row" style={{ margin: "0px" }}>
                    <div className="col-6 table-responsive">
                        <table className="table table-hover">
                            <thead>
                                <tr>
                                    <th>Variable</th>
                                    <th>Wert</th>
                                </tr>
                            </thead>
                            <tbody>
                                {Object.entries(host).map(([key, value]) => (
                                    <tr key={key}>
                                        <td>{key}</td>
                                        <td>{value}</td>
                                    </tr>
                                ))}
                            </tbody>
                        </table>
                    </div>
                    <div className="col-6 table-responsive">
                        <table className="table table-hover">
                            <thead>
                                <tr>
                                    <th>Status-Variable</th>
                                    <th>Wert</th>
                                </tr>
                            </thead>
                            <tbody>
                                {Object.entries(status).map(([key, value]) => (
                                    <tr key={key}>
                                        <td>{key}</td>
                                        <td>{value}</td>
                                    </tr>
                                ))}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    );
}

export default function DBStatus() {
    return (
        <>
            <Cluster />
            <HostStatus />
        </>
    );
}
