import licenseData from "@/data/licenses.json";

type LicenseData = {
    [key: string]: {
        licenses: string;
        repository?: string;
        publisher?: string;
        url?: string;
        path?: string;
        licenseFile?: string;
    };
};

export default function Licenses() {
    return (
        <div>
            <h1>Licenses</h1>
            <p>
                Here are the licenses of all libraries and dependencies of libraries used in this
                project:
            </p>
            <ul className="list-group">
                {Object.entries(licenseData as LicenseData).map(([key, val]) => (
                    <li className="list-group-item" key={key}>
                        <h5>{key}</h5>
                        <span>{`License: ${val.licenses}`}</span> <br />
                        {val.publisher && (
                            <span>
                                {`Publisher: ${val.publisher}`}
                                <br />
                            </span>
                        )}
                        {val.url && (
                            <span>
                                {`URL: ${val.url}`}
                                <br />
                            </span>
                        )}
                        {val.repository && (
                            <span>
                                {`Repository: ${val.repository}`}
                                <br />
                            </span>
                        )}
                    </li>
                ))}
            </ul>
        </div>
    );
}
